class CreatePBankAccounts < ActiveRecord::Migration[6.0]
  def change
    create_table :p_bank_accounts do |t|
      t.references   :p_bank,   index: true
      t.string       :iban
      t.string       :bic
      t.string       :compta_cpt
      t.string       :compta_journ
      t.string       :compta_aux
      t.references   :p_fournisseur,   index: true
      t.references   :p_customer,   index: true
      t.boolean      :owner,   :default => false
      t.references   :data_file,   index: true

      t.timestamps
    end
  end
end
